# Generated by Django 4.0.10 on 2024-12-06 09:09

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('base', '0024_add_transmitter_frequency_fields_to_observation'),
    ]

    operations = [
        migrations.CreateModel(
            name='StationStat',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('all_alt_svg', models.FileField(blank=True, null=True, upload_to='station_stat_images')),
                ('all_az_svg', models.FileField(blank=True, null=True, upload_to='station_stat_images')),
                ('low_az_svg', models.FileField(blank=True, null=True, upload_to='station_stat_images')),
                ('month_polar_svg', models.FileField(blank=True, null=True, upload_to='station_stat_images')),
                ('station', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='stat', to='base.station')),
            ],
        ),
        migrations.AddIndex(
            model_name='stationstat',
            index=models.Index(fields=['station'], name='base_statio_station_1db025_idx'),
        ),
    ]
